Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 227205 - gecko-sharp won't emerge with gcc 4.3.1 and glibc 2.8
Summary: gecko-sharp won't emerge with gcc 4.3.1 and glibc 2.8
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: dotnet
URL:
Whiteboard:
Keywords:
Depends on: 169897
Blocks: gcc-4.3 glibc-2.8
  Show dependency tree
 
Reported: 2008-06-15 14:43 UTC by Billy DeVincentis
Modified: 2008-11-23 15:31 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Billy DeVincentis 2008-06-15 14:43:13 UTC
Configuration summary

   * Installation prefix: /usr
   * compiler: /usr/bin/mcs
   * Documentation: yes (/usr/bin/monodoc)

---
Making all in sources
make[1]: Entering directory `/var/tmp/portage/dev-dotnet/gecko-sharp-0.11-r1/work/gecko-sharp-2.0-0.11/sources'
make[1]: Nothing to be done for `all'.
make[1]: Leaving directory `/var/tmp/portage/dev-dotnet/gecko-sharp-0.11-r1/work/gecko-sharp-2.0-0.11/sources'
Making all in gtkmozembed
make[1]: Entering directory `/var/tmp/portage/dev-dotnet/gecko-sharp-0.11-r1/work/gecko-sharp-2.0-0.11/gtkmozembed'
gapi2-codegen --generate ./gtkgecko-api.xml -I:/usr/share/gapi-2.0/pango-api.xml -I:/usr/share/gapi-2.0/atk-api.xml -I:/usr/share/gapi-2.0/gdk-api.xml -I:/usr/share/gapi-2.0/gtk-api.xml   --outdir=generated --customdir=. --assembly-name=gecko-sharp && touch generated-stamp
Stacktrace:

  at System.Security.Cryptography.RNGCryptoServiceProvider..cctor () <0xffffffff>
  at System.Security.Cryptography.RNGCryptoServiceProvider..cctor () <0x0000d>
  at (wrapper runtime-invoke) System.Object.runtime_invoke_void (object,intptr,intptr,intptr) <0xffffffff>
  at (wrapper managed-to-native) System.Reflection.MonoCMethod.InternalInvoke (object,object[]) <0x0004b>
  at (wrapper managed-to-native) System.Reflection.MonoCMethod.InternalInvoke (object,object[]) <0xffffffff>
  at System.Reflection.MonoCMethod.Invoke (object,System.Reflection.BindingFlags,System.Reflection.Binder,object[],System.Globalization.CultureInfo) <0x000cc>
  at System.Reflection.MonoCMethod.Invoke (System.Reflection.BindingFlags,System.Reflection.Binder,object[],System.Globalization.CultureInfo) <0x00042>
  at System.Activator.CreateInstance (System.Type,System.Reflection.BindingFlags,System.Reflection.Binder,object[],System.Globalization.CultureInfo,object[]) <0x002e8>
  at System.Activator.CreateInstance (System.Type,object[],object[]) <0x0003b>
  at System.Activator.CreateInstance (System.Type,object[]) <0x00033>
  at System.Security.Cryptography.CryptoConfig.CreateFromName (string,object[]) <0x000d5>
  at System.Security.Cryptography.CryptoConfig.CreateFromName (string) <0x0000f>
  at System.Security.Cryptography.RandomNumberGenerator.Create (string) <0x0000f>
  at System.Security.Cryptography.RandomNumberGenerator.Create () <0x00012>
  at System.Guid.NewGuid () <0x0006b>
  at System.Xml.Schema.XmlSchemaSet..ctor (System.Xml.XmlNameTable) <0x00093>
  at System.Xml.Schema.XmlSchemaSet..ctor () <0x0002f>
  at Mono.Xml.Schema.XsdValidatingReader..ctor (System.Xml.XmlReader) <0x00040>
  at System.Xml.XmlValidatingReader.Read () <0x000e9>
  at System.Xml.XmlDocument.ReadNodeCore (System.Xml.XmlReader) <0x0005e>
  at System.Xml.XmlDocument.ReadNode (System.Xml.XmlReader) <0x00104>
  at System.Xml.XmlDocument.Load (System.Xml.XmlReader) <0x0005a>
  at System.Xml.XmlDocument.Load (System.IO.Stream) <0x000b0>
  at GtkSharp.Generation.Parser.Load (string) <0x0005b>
  at GtkSharp.Generation.Parser.Parse (string) <0x00044>
  at GtkSharp.Generation.CodeGenerator.Main (string[]) <0x003b0>
  at (wrapper runtime-invoke) GtkSharp.Generation.CodeGenerator.runtime_invoke_int_string[] (object,intptr,intptr,intptr) <0xffffffff>

Native stacktrace:

        mono [0x52e249]
        mono [0x43ee05]
        /lib/libpthread.so.0 [0x2b5aad64d9d0]
        /lib/libc.so.6(memcpy+0x60) [0x2b5aadb5ddd0]
        mono(mono_breakpoint_clean_code+0x1b) [0x427dab]
        mono [0x4402a5]
        mono [0x532d68]
        [0x41625160]

Debug info from gdb:

(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread 0x2b5aade35020 (LWP 15031)]
[New Thread 0x40430950 (LWP 15033)]
[New Thread 0x4179c950 (LWP 15032)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
0x00002b5aad64c84b in read () from /lib/libpthread.so.0
  3 Thread 0x4179c950 (LWP 15032)  0x00002b5aad64d151 in nanosleep ()
   from /lib/libpthread.so.0
  2 Thread 0x40430950 (LWP 15033)  0x00002b5aad649d99 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
  1 Thread 0x2b5aade35020 (LWP 15031)  0x00002b5aad64c84b in read ()
   from /lib/libpthread.so.0

Thread 3 (Thread 0x4179c950 (LWP 15032)):
#0  0x00002b5aad64d151 in nanosleep () from /lib/libpthread.so.0
#1  0x00000000004d1ed2 in ?? ()
#2  0x00002b5aad646027 in start_thread () from /lib/libpthread.so.0
#3  0x00002b5aadbaefdd in clone () from /lib/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x40430950 (LWP 15033)):
#0  0x00002b5aad649d99 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/libpthread.so.0
#1  0x00000000004dce6d in ?? ()
#2  0x00000000004df03b in ?? ()
#3  0x00000000004e0236 in ?? ()
#4  0x0000000000533db3 in ?? ()
#5  0x000000000048130b in ?? ()
#6  0x00000000004d76e3 in ?? ()
#7  0x00000000004f0412 in ?? ()
#8  0x00002b5aad646027 in start_thread () from /lib/libpthread.so.0
#9  0x00002b5aadbaefdd in clone () from /lib/libc.so.6
#10 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x2b5aade35020 (LWP 15031)):
#0  0x00002b5aad64c84b in read () from /lib/libpthread.so.0
#1  0x00002b5aad1c88ae in ?? () from /usr/lib/libglib-2.0.so.0
#2  0x00002b5aad1c8d96 in ?? () from /usr/lib/libglib-2.0.so.0
#3  0x00002b5aad1c97db in g_spawn_sync () from /usr/lib/libglib-2.0.so.0
#4  0x00002b5aad1c9c88 in g_spawn_command_line_sync ()
   from /usr/lib/libglib-2.0.so.0
#5  0x000000000052e2d4 in ?? ()
#6  0x000000000043ee05 in ?? ()
#7  <signal handler called>
#8  0x00002b5aadb5ddd0 in memcpy () from /lib/libc.so.6
#9  0x0000000000427dab in mono_breakpoint_clean_code ()
#10 0x00000000004402a5 in ?? ()
#11 0x0000000000532d68 in ?? ()
#12 0x0000000041625160 in ?? ()
#13 0x0000000000000000 in ?? ()
#0  0x00002b5aad64c84b in read () from /lib/libpthread.so.0


=================================================================
Got a SIGSEGV while executing native code. This usually indicates
a fatal error in the mono runtime or one of the native libraries
used by your application.
=================================================================

/usr/bin/gapi2-codegen: line 2: 15031 Aborted                 mono /usr/lib/gtk-sharp-2.0/gapi_codegen.exe "$@"
make[1]: *** [generated-stamp] Error 134
make[1]: Leaving directory `/var/tmp/portage/dev-dotnet/gecko-sharp-0.11-r1/work/gecko-sharp-2.0-0.11/gtkmozembed'
make: *** [all-recursive] Error 1
 *
 * ERROR: dev-dotnet/gecko-sharp-0.11-r1 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line  773:  Called die
 * The specific snippet of code:
 *       emake -j1 || die "emake failed"
 *  The die message:
 *   emake failed
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/dev-dotnet/gecko-sharp-0.11-r1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/dev-dotnet/gecko-sharp-0.11-r1/temp/environment'.
 *


Reproducible: Always




emerge --info
Portage 2.1.5.5 (default/linux/amd64/2008.0/desktop, gcc-4.3.1, glibc-2.8_p20080602-r0, 2.6.25-gentoo-r4 x86_64)
=================================================================
System uname: 2.6.25-gentoo-r4 x86_64 AMD Athlon(tm) 64 X2 Dual Core Processor 4200+
Timestamp of tree: Sun, 15 Jun 2008 05:35:01 +0000
app-shells/bash:     3.2_p39
dev-java/java-config: 1.3.7, 2.1.6
dev-lang/python:     2.5.2-r4
dev-python/pycrypto: 2.0.1-r6
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.2.5
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.62
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1-r1
sys-devel/binutils:  2.18-r1
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   2.2.4
virtual/os-headers:  2.6.25-r4
ACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config /var/bind /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/splash /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="buildpkg distlocks fixpackages metadata-transfer parallel-fetch sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LANG="en_US.UTF-8"
LC_ALL="en_US.UTF-8"
LDFLAGS=""
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/miscellaneous /usr/portage/local/desktop-effects"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow S3TC X a52 aac aalib accessibility acl acpi alsa amarok amd64 apm arts artworkextra audiofile automount avahi bash-completion berkdb bidi bittorrent bluetooth branding bzip2 cairo calendar cdda cdio cdparanoia cdr clamav cli cpudetection cracklib crypt css cups curl dbus deprecated devil dga directfb discouraged distribution divx doc dri dts dv dvb dvd dvdr dvdread eds elisp emacs emboss emerald encode esd etc-proposals evo examples exif extraicons fam fat fax fbcon fbcondecor fbsplash ffmpeg firefox flac flash foomaticdb fortran fuse gcj gd gdbm gedit gif gimp glitz gmedia gnome gnutls gphoto2 gpm gstreamer gtk gtkhtml hal hddtemp hfs html htmlhandbook httpd iconv idn ieee1394 imagemagick imlib inkjar ipv6 isdnlog jack java jfs joystick jpeg kde kdehiddenvisibility kerberos lcms ldap libcaca libnotify lirc live lm_sensors logrotate mad mail matroska mdnsresponder-compat midi mikmod mime mjpeg mmx mmxext mng mono mozilla mp3 mpeg mplayer mudflap multilib musicbrainz mysql nas nautilus ncurses networking new-login nforce2 nls nptl nptlonly nsplugin ntfs nvidia odbc offensive ogg opengl openmp pam parport pcre pdf perl pmu png postgres ppds pppd pulseaudio python qt3 qt3support qt4 quicktime rar rdesktop readline realmedia reflection regex reiser4 reiserfs samba scanner sdl seamonkey semantic-desktop servletapi session skins slang slp smp sndfile snmp sound sounds speex spell spl sqlite sse sse2 ssl startup-notification stream subversion svg swat symlink sysfs syslog tcpd tetex theora thesaurus threads thunderbird tidy tiff timidity tk truetype type1 unicode usb userlocales utempter utils v4l vcd vdr vlm voice vorbis vram weather wmf wmp wordperfect wxwindows xattr xcb xcomposite xforms xfs xine xml xorg xpm xprint xscreensaver xv xvid zeroconf zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="GNU" VIDEO_CARDS="fbdev glint i810 mach64 mga neomagic nv r128 radeon savage sis tdfx trident vesa vga via vmware voodoo"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Billy DeVincentis 2008-06-15 14:49:25 UTC
I just wanted to mention that gecko-sharp-0.11-r1 is a dependency for mono-tools which is a dependency for monodoc which is a dependency for numerous things. Although there is a 0.12 version, it doesn't fill dependencies of numerous packages.
Comment 2 Peter Ansell 2008-07-06 00:43:21 UTC
There is a 0.13 version out now, see bug #229955 . It might help with this issue.
Comment 3 Peter Alfredsen (RETIRED) gentoo-dev 2008-11-23 15:31:39 UTC
Fixed